List Dashboards

Reference for the GET /console/v1/dashboards endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/dashboards

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber
searchstring

Filter dashboards by name using a partial match.

Example:growth
Constraints:min length: 1

Response

application/json
200· List dashboards response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired
namestringrequired
descriptionstringrequired
defaultsobject
dateobject
valueintegerrequired
Constraints:format: int64min: 0
unitstringrequired
Allowed values:dayweekmonth
granularitystring
Allowed values:autodailyweeklymonthly
created_timenumberrequired
Constraints:format: double
modified_timenumberrequired
Constraints:format: double
widget_countintegerrequired
Constraints:format: int64min: 0
is_verifiedboolean
Constraints:nullable
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?